Bug 2018036 - pango 1.49.1 broke multi-line text rendering in Inkscape
Summary: pango 1.49.1 broke multi-line text rendering in Inkscape
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-28 04:09 UTC by akiyks
Modified: 2021-11-26 01:24 UTC (History)
15 users (show)

Fixed In Version: inkscape-1.1.1-2.fc35 inkscape-1.1.1-2.fc34 inkscape-stable-3520211112074856.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-14 04:07:26 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Inkscape input and output (43.54 KB, application/zip)
2021-10-28 04:09 UTC, akiyks
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME pango issues 618 0 None None None 2021-10-29 06:26:44 UTC
Gitlab inkscape inkscape issues 2864 0 None None None 2021-10-29 06:26:44 UTC

Description akiyks 2021-10-28 04:09:06 UTC
Created attachment 1837826 [details]
Inkscape input and output

Description of problem:

I'm observing mis-placement of multi-line texts in .pdf converted
from .svg via Inkscape on pre-release Fedora 35.

On Fedora 34, they are rendered correctly.

Version-Release number of selected component (if applicable):

On Fedora 35, "incscape --debug-info" says:

Inkscape 1.1 (c68e22c387, 2021-05-23)

    GLib version:     2.70.0
    GTK version:      3.24.30
    glibmm version:   2.66.1
    gtkmm version:    3.24.5
    libxml2 version:  2.9.12
    libxslt version:  1.1.34
    Cairo version:    1.17.4
    Pango version:    1.49.1
    HarfBuzz version: 2.8.2
    Poppler version:  21.08.0

    OS version:       Fedora Linux 35 (Container Image)

On Fedora 34, "incscape --debug-info" says:

Inkscape 1.1 (c68e22c387, 2021-05-23)

    GLib version:     2.68.4
    GTK version:      3.24.30
    glibmm version:   2.66.1
    gtkmm version:    3.24.5
    libxml2 version:  2.9.12
    libxslt version:  1.1.34
    Cairo version:    1.17.4
    Pango version:    1.48.10
    HarfBuzz version: 2.7.4
    Poppler version:  21.01.0

    OS version:       Fedora 34 (Container Image)

How reproducible:

Always.

Steps to Reproduce:

Convert pubsub.svg in the attachment by Inkscape.

1. Run the command "inkscape -o pubsub-xxx.pdf pubsub.svg"

Actual results:

See pubsub-pango-1.49.1.pdf in the attachment.

Expected results:

See pubsub-pango-1.48.10.pdf in the attachment, which is converted
on Fedora 34.

Additional info:

On Fedora 35, by downgrading pango to 1.48.9
(https://kojipkgs.fedoraproject.org//packages/pango/1.48.9/1.fc35/x86_64/pango-1.48.9-1.fc35.x86_64.rpm),
correct rendering can be restored.

The same issue is reported at upstream Inkscape project at:
https://gitlab.com/inkscape/inkscape/-/issues/2864

Comment 1 Peng Wu 2021-10-29 03:33:39 UTC
Could you report this issue to pango upstream?

URL: https://gitlab.gnome.org/GNOME/pango/-/issues

Comment 2 akiyks 2021-10-29 05:44:38 UTC
(In reply to Peng Wu from comment #1)
> Could you report this issue to pango upstream?

Will do shortly.

Comment 3 akiyks 2021-10-29 06:16:20 UTC
(In reply to akiyks from comment #2)
Done.

https://gitlab.gnome.org/GNOME/pango/-/issues/618

Comment 4 Peng Wu 2021-10-29 06:39:40 UTC
Thanks!

Comment 5 akiyks 2021-10-29 23:54:05 UTC
In https://gitlab.gnome.org/GNOME/pango/-/issues/618#note_1299977,
Matthias Clasen commented that the change was intentional.

> The effect of this is that the last item in the PangoLogAttr array now has
> is_line_break set. If inkscape has code that interprets log attrs (as I assume 
> it does), it may need some adjustment.

Switching Component to inkscape.

Comment 6 akiyks 2021-11-08 14:50:47 UTC
A fix has been merged upstream at:

    https://gitlab.com/inkscape/inkscape/-/merge_requests/3630

I'd like to keep this ticket open until the fix reaches Fedora 35.

Thanks.

Comment 7 Fedora Update System 2021-11-10 22:24:38 UTC
FEDORA-2021-af2661220e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-af2661220e

Comment 8 Fedora Update System 2021-11-10 22:24:39 UTC
FEDORA-2021-7e0a7fad9b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7e0a7fad9b

Comment 9 Fedora Update System 2021-11-11 02:13:21 UTC
FEDORA-2021-af2661220e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-af2661220e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-af2661220e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 akiyks 2021-11-11 04:35:43 UTC
(In reply to Fedora Update System from comment #8)
> FEDORA-2021-7e0a7fad9b has been submitted as an update to Fedora 35.
> https://bodhi.fedoraproject.org/updates/FEDORA-2021-7e0a7fad9b

FWIW, I downloaded https://kojipkgs.fedoraproject.org//packages/inkscape/1.1.1/2.fc35/x86_64/inkscape-1.1.1-2.fc35.x86_64.rpm
and installed it on Fedora 35.

"inkscape --debug-info" says:

    Inkscape 1.1.1 (3bf5ae0d25, 2021-09-20)

        GLib version:     2.70.1
        GTK version:      3.24.30
        glibmm version:   2.66.2
        gtkmm version:    3.24.5
        libxml2 version:  2.9.12
        libxslt version:  1.1.34
        Cairo version:    1.17.4
        Pango version:    1.49.2
        HarfBuzz version: 2.8.2
        Poppler version:  21.08.0

        OS version:       Fedora Linux 35 (Container Image)

Now the multi-line texts in pubsub.svg are rendered right.

I'm waiting the update to be released for normal "dnf update".

Comment 11 Fedora Update System 2021-11-11 04:37:44 UTC
FEDORA-2021-7e0a7fad9b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7e0a7fad9b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7e0a7fad9b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-11-14 04:07:26 UTC
FEDORA-2021-7e0a7fad9b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-11-17 12:28:35 UTC
FEDORA-FLATPAK-2021-3841aadf64 has been submitted as an update to Fedora 35 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2021-3841aadf64

Comment 14 Fedora Update System 2021-11-18 01:55:17 UTC
FEDORA-FLATPAK-2021-3841aadf64 has been pushed to the Fedora 35 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2021-3841aadf64

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-11-19 02:00:47 UTC
FEDORA-2021-af2661220e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-11-26 01:24:40 UTC
FEDORA-FLATPAK-2021-3841aadf64 has been pushed to the Fedora 35 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.